## WebKitDOMTextTrackList

WebKitDOMTextTrackList

## Functions

WebKitDOMTextTrack * | webkit_dom_text_track_list_item ()
WebKitDOMTextTrack * | webkit_dom_text_track_list_get_track_by_id ()
gboolean | webkit_dom_text_track_list_dispatch_event ()
gulong | webkit_dom_text_track_list_get_length ()

## Properties

gulong | length | Read

## Types and Values

| WebKitDOMTextTrackList

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMTextTrackList

## Implemented Interfaces

WebKitDOMTextTrackList implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_text_track_list_item ()

    WebKitDOMTextTrack *
    webkit_dom_text_track_list_item (WebKitDOMTextTrackList *self,
                                     gulong index);

#### Parameters

self | A WebKitDOMTextTrackList |
index | A gulong |

#### Returns

A WebKitDOMTextTrack.

[transfer full]

### webkit_dom_text_track_list_get_track_by_id ()

    WebKitDOMTextTrack *
    webkit_dom_text_track_list_get_track_by_id
                                   (WebKitDOMTextTrackList *self,
                                    const gchar *id);

#### Parameters

self | A WebKitDOMTextTrackList |
id | A gchar |

#### Returns

A WebKitDOMTextTrack.

[transfer full]

### webkit_dom_text_track_list_dispatch_event ()

    gboolean
    webkit_dom_text_track_list_dispatch_event
                                   (WebKitDOMTextTrackList *self,
                                    WebKitDOMEvent *evt,
                                    GError **error);

`webkit_dom_text_track_list_dispatch_event` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `webkit_dom_event_target_dispatch_event()` instead.

#### Parameters

self | A WebKitDOMTextTrackList |
evt | A WebKitDOMEvent |
error | GError |

#### Returns

A gboolean

### webkit_dom_text_track_list_get_length ()

    gulong
    webkit_dom_text_track_list_get_length (WebKitDOMTextTrackList *self);

`webkit_dom_text_track_list_get_length` is deprecated and should not be used in newly-written code.

#### Parameters

self | A WebKitDOMTextTrackList |

#### Returns

A gulong

## Types and Values

### WebKitDOMTextTrackList

    typedef struct _WebKitDOMTextTrackList WebKitDOMTextTrackList;

## Property Details

### The `“length”` property

      “length”                   gulong

read-only gulong TextTrackList:length.

Flags: Read